package shub.dpm;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class about_subs_0 {


public static RemoteObject  _activity_create(RemoteObject _firsttime) throws Exception{
try {
		Debug.PushSubsStack("Activity_Create (about) ","about",3,about.mostCurrent.activityBA,about.mostCurrent,20);
if (RapidSub.canDelegate("activity_create")) { return shub.dpm.about.remoteMe.runUserSub(false, "about","activity_create", _firsttime);}
Debug.locals.put("FirstTime", _firsttime);
 BA.debugLineNum = 20;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
Debug.ShouldStop(524288);
 BA.debugLineNum = 22;BA.debugLine="Activity.LoadLayout(\"About\")";
Debug.ShouldStop(2097152);
about.mostCurrent._activity.runMethodAndSync(false,"LoadLayout",(Object)(RemoteObject.createImmutable("About")),about.mostCurrent.activityBA);
 BA.debugLineNum = 23;BA.debugLine="Activity.Title=\"Über DPM-Mobile\"";
Debug.ShouldStop(4194304);
about.mostCurrent._activity.runMethod(false,"setTitle",BA.ObjectToCharSequence("Über DPM-Mobile"));
 BA.debugLineNum = 24;BA.debugLine="Label3.Text=\"Version 1.0\"&CRLF&\"11. Sept. 2021\"";
Debug.ShouldStop(8388608);
about.mostCurrent._label3.runMethod(true,"setText",BA.ObjectToCharSequence(RemoteObject.concat(RemoteObject.createImmutable("Version 1.0"),about.mostCurrent.__c.getField(true,"CRLF"),RemoteObject.createImmutable("11. Sept. 2021"))));
 BA.debugLineNum = 25;BA.debugLine="Label5.Text=\"(C) 2021 - Stefan Hutter Unternehmens";
Debug.ShouldStop(16777216);
about.mostCurrent._label5.runMethod(true,"setText",BA.ObjectToCharSequence(RemoteObject.concat(RemoteObject.createImmutable("(C) 2021 - Stefan Hutter Unternehmensberatung"),about.mostCurrent.__c.getField(true,"CRLF"),RemoteObject.createImmutable("Staldenbachstrasse 13"),about.mostCurrent.__c.getField(true,"CRLF"),RemoteObject.createImmutable("CH-8808 Pfäffikon SZ"),about.mostCurrent.__c.getField(true,"CRLF"),RemoteObject.createImmutable("info@shub.ch - www.shub.ch"))));
 BA.debugLineNum = 26;BA.debugLine="End Sub";
Debug.ShouldStop(33554432);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_pause(RemoteObject _userclosed) throws Exception{
try {
		Debug.PushSubsStack("Activity_Pause (about) ","about",3,about.mostCurrent.activityBA,about.mostCurrent,32);
if (RapidSub.canDelegate("activity_pause")) { return shub.dpm.about.remoteMe.runUserSub(false, "about","activity_pause", _userclosed);}
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 32;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(-2147483648);
 BA.debugLineNum = 34;BA.debugLine="End Sub";
Debug.ShouldStop(2);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_resume() throws Exception{
try {
		Debug.PushSubsStack("Activity_Resume (about) ","about",3,about.mostCurrent.activityBA,about.mostCurrent,28);
if (RapidSub.canDelegate("activity_resume")) { return shub.dpm.about.remoteMe.runUserSub(false, "about","activity_resume");}
 BA.debugLineNum = 28;BA.debugLine="Sub Activity_Resume";
Debug.ShouldStop(134217728);
 BA.debugLineNum = 30;BA.debugLine="End Sub";
Debug.ShouldStop(536870912);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _button3_click() throws Exception{
try {
		Debug.PushSubsStack("Button3_Click (about) ","about",3,about.mostCurrent.activityBA,about.mostCurrent,37);
if (RapidSub.canDelegate("button3_click")) { return shub.dpm.about.remoteMe.runUserSub(false, "about","button3_click");}
 BA.debugLineNum = 37;BA.debugLine="Private Sub Button3_Click";
Debug.ShouldStop(16);
 BA.debugLineNum = 38;BA.debugLine="Activity.Finish";
Debug.ShouldStop(32);
about.mostCurrent._activity.runVoidMethod ("Finish");
 BA.debugLineNum = 39;BA.debugLine="End Sub";
Debug.ShouldStop(64);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _globals() throws Exception{
 //BA.debugLineNum = 12;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 16;BA.debugLine="Private Label5 As Label";
about.mostCurrent._label5 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");
 //BA.debugLineNum = 17;BA.debugLine="Private Label3 As Label";
about.mostCurrent._label3 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");
 //BA.debugLineNum = 18;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 6;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 10;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
}